### Enumeration

# Gimp MessageHandlerType

unstable since: 3.0

#### Declaration

    enum Gimp.MessageHandlerType

#### Description [src]

How to present messages.

Available since: 3.0

#### Members

`GIMP_MESSAGE_BOX`

  A popup dialog.

  - Value: `0`
  - Nickname: `message-box`
  - Available since: 3.0
`GIMP_CONSOLE`

  The terminal.

  - Value: `1`
  - Nickname: `console`
  - Available since: 3.0
`GIMP_ERROR_CONSOLE`

  The error console dockable.

  - Value: `2`
  - Nickname: `error-console`
  - Available since: 3.0